> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v1consumers



## OpenAPI

````yaml https://consumer-ms.supergasbras.app/swagger/v1/swagger.json delete /v1/consumers/{consumerId}
openapi: 3.0.1
info:
  title: CTech Consumer
  description: Service responsible for handling Consumer version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/consumers/{consumerId}:
    delete:
      tags:
        - Consumers
      parameters:
        - name: consumerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: deviceId
          in: header
          schema:
            type: string
        - name: platform
          in: header
          schema:
            type: string
        - name: appVersion
          in: header
          schema:
            type: string
        - name: deviceModel
          in: header
          schema:
            type: string
        - name: api-version
          in: query
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
          readOnly: true
        description:
          type: string
          nullable: true
          readOnly: true
        type:
          $ref: '#/components/schemas/ErrorType'
        numericType:
          type: integer
          format: int32
          readOnly: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
      additionalProperties: false
    ErrorType:
      enum:
        - Failure
        - Unexpected
        - Validation
        - Conflict
        - NotFound
        - Unauthorized
        - Forbidden
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````